DmaConfig Struct Reference

Configuration stucture for svcStartInterProcessDma. More...

`#include <svc.h>`

## Data Fields

s8 | channelId
| Channel ID (Arm11: 0-7, Arm9: 0-1). Use -1 to auto-assign to a free channel (Arm11: 3-7, Arm9: 0-1).
s8 | endianSwapSize
| Endian swap size (can be 0).
u8 | flags
| DMACFG_* flags.
u8 | _padding
DmaDeviceConfig | srcCfg
| Source device configuration, read if DMACFG_SRC_IS_DEVICE and/or DMACFG_USE_SRC_CONFIG are set.
DmaDeviceConfig | dstCfg
| Destination device configuration, read if DMACFG_SRC_IS_DEVICE and/or DMACFG_USE_SRC_CONFIG are set.

## Detailed Description

Configuration stucture for svcStartInterProcessDma.

The documentation for this struct was generated from the following file:

- include/3ds/svc.h